LibreOffice: XHatchWindow Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
XHatchWindow Interface Referencepublished

specifies the operations for a hatch window. More...

Inheritance diagram for XHatchWindow:

## Public Member Functions
void | setController ([in] XHatchWindowController xController)
| sets the object that will control resizing/moving, if the object is not set the window can not be resized/moved.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Public Attributes
com::sun::star::awt::Size | HatchBorderSize

## Detailed Description

specifies the operations for a hatch window.

A hatch window is a kind of window that is adopted to contain an embedded object window to represent the contained window border and to handle resizing/moving in a specific way: after user have selected the new size/placement the hatching window sends request to owner for resizing/moving. Thus the window can not resize/move itself.

## Member Function Documentation

## ◆ setController()

void setController | ( | [in] XHatchWindowController | xController | ) |

sets the object that will control resizing/moving, if the object is not set the window can not be resized/moved.

## Member Data Documentation

## ◆ HatchBorderSize

com::sun::star::awt::Size HatchBorderSize
| attribute

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XHatchWindow.idl